VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "EventHandler"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Public Sub OnNewModelElement(roseApp As RoseApplication, objItem As RoseItem)
    If objItem.IdentifyClass() = "RealizeRelation" Then
        Dim theRealizeRelation As RoseRealizeRelation
        Set theRealizeRelation = objItem
        
        Dim relClient As RoseItem
        Set relClient = theRealizeRelation.GetClient()
        Dim relSupplier As RoseItem
        Set relSupplier = theRealizeRelation.GetSupplier()
        
        Dim theRealizeRelsColl As RoseRealizeRelationCollection
        Set theRealizeRelsColl = theRealizeRelation.GetClient().GetRealizeRelations()
        
        Dim i As Integer
        i = 1
        Dim n As Integer
        n = 0
        Do While i <= theRealizeRelsColl.Count And n <= 1
            Dim aRealizeRelation As RoseRealizeRelation
            Set aRealizeRelation = theRealizeRelsColl.GetAt(i)
            If aRealizeRelation.GetClient() Is relClient And aRealizeRelation.GetSupplier() Is relSupplier Then
                n = n + 1
            End If
            i = i + 1
        Loop
        
        If n > 1 Then
            MsgBox "Warning: You already have this realize relationship in your model."
        End If
    End If
End Sub

